org.apache.ignite.internal.processors.platform.cache

## Class PlatformCacheEntryFilterImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractPredicate
  - - org.apache.ignite.internal.processors.platform.cache.PlatformCacheEntryFilterImpl

All Implemented Interfaces:
  Externalizable, Serializable, PlatformCacheEntryFilter, IgniteBiPredicate

    public class PlatformCacheEntryFilterImpl
    extends PlatformAbstractPredicate
    implements PlatformCacheEntryFilter

Interop filter. Delegates apply to native platform.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractPredicate

`ctx, pred, ptr`

### Constructor Summary

Constructors
Constructor and Description
`PlatformCacheEntryFilterImpl()` `Externalizable` support.
`PlatformCacheEntryFilterImpl(Object pred, long ptr, PlatformContext ctx)` Constructor.

### Method Summary

Methods
`boolean` `apply(Object k, Object v)` Predicate body.
`void` `onClose()` Callback invoked when filter is no longer needed.
`void` `setIgniteInstance(Ignite ignite)`

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractPredicate

`readExternal, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformCacheEntryFilterImpl

    public PlatformCacheEntryFilterImpl()

`Externalizable` support.

#### PlatformCacheEntryFilterImpl

    public PlatformCacheEntryFilterImpl(Object pred,
                                long ptr,
                                PlatformContext ctx)

Constructor.

Parameters:
  `pred` - .Net binary predicate.
  `ptr` - Pointer to predicate in the native platform.
  `ctx` - Kernal context.

### Method Detail

#### apply

    public boolean apply(Object k,
                Object v)

Predicate body.

Specified by:
  `apply` in interface `IgniteBiPredicate`
Parameters:
  `k` - First parameter.
  `v` - Second parameter.
Returns:
  Return value.

#### onClose

    public void onClose()

Callback invoked when filter is no longer needed.

Specified by:
  `onClose` in interface `PlatformCacheEntryFilter`

#### setIgniteInstance

    @IgniteInstanceResource
    public void setIgniteInstance(Ignite ignite)

Parameters:
  `ignite` - Ignite instance.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016